package com.steerinfo.baseinfo.meterbasecarcard.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.baseinfo.meterbasecarcard.model.MeterBaseCarCard;
import feign.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseCarCardMapper extends IBaseMapper<MeterBaseCarCard, String> {
     String GetNewID();

     void updatecardnototwo(@Param(value = "cardNo") String cardNo);

     void updatecardnotothree(@Param(value = "cardNo")String cardNo);

     List<MeterBaseCarCard> selectForUpdate(Map<String, Object> parameters);
}